Package org.eclipse.e4.ui.model.application.descriptor.basic.impl

# Interface BasicPackageImpl.Literals

Enclosing class:
  BasicPackageImpl

public static interface BasicPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`PART_DESCRIPTOR`
The meta object literal for the '`Part Descriptor`' class.
`static final org.eclipse.emf.ecore.EOperation`
`PART_DESCRIPTOR___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__ALLOW_MULTIPLE`
The meta object literal for the 'Allow Multiple' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__CATEGORY`
The meta object literal for the 'Category' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__CLOSEABLE`
The meta object literal for the 'Closeable' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__CONTRIBUTION_URI`
The meta object literal for the 'Contribution URI' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__DESCRIPTION`
The meta object literal for the 'Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__DIRTYABLE`
Deprecated.
See `model documentation` for details.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__LOCALIZED_DESCRIPTION`
The meta object literal for the 'Localized Description' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`PART_DESCRIPTOR__MENUS`
The meta object literal for the 'Menus' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`PART_DESCRIPTOR__PROPERTIES`
The meta object literal for the 'Properties' map feature.
`static final org.eclipse.emf.ecore.EReference`
`PART_DESCRIPTOR__TOOLBAR`
The meta object literal for the 'Toolbar' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`PART_DESCRIPTOR__TRIM_BARS`
The meta object literal for the 'Trim Bars' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PART_DESCRIPTOR__VARIABLES`
The meta object literal for the 'Variables' attribute list feature.
`static final org.eclipse.emf.ecore.EClass`
`PART_DESCRIPTOR_CONTAINER`
The meta object literal for the '`Part Descriptor Container`' class.
`static final org.eclipse.emf.ecore.EReference`
`PART_DESCRIPTOR_CONTAINER__DESCRIPTORS`
The meta object literal for the 'Descriptors' containment reference list feature.

## Field Details

### PART_DESCRIPTOR

static final org.eclipse.emf.ecore.EClass PART_DESCRIPTOR
The meta object literal for the '`Part Descriptor`' class.

Since:
  1.0
See Also:
  - `PartDescriptorImpl`
  - `BasicPackageImpl.getPartDescriptor()`

### PART_DESCRIPTOR__ALLOW_MULTIPLE

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__ALLOW_MULTIPLE
The meta object literal for the 'Allow Multiple' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__CATEGORY

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__CATEGORY
The meta object literal for the 'Category' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__MENUS

static final org.eclipse.emf.ecore.EReference PART_DESCRIPTOR__MENUS
The meta object literal for the 'Menus' containment reference list feature.

Since:
  1.0

### PART_DESCRIPTOR__TOOLBAR

static final org.eclipse.emf.ecore.EReference PART_DESCRIPTOR__TOOLBAR
The meta object literal for the 'Toolbar' containment reference feature.

Since:
  1.0

### PART_DESCRIPTOR__CLOSEABLE

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__CLOSEABLE
The meta object literal for the 'Closeable' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__DIRTYABLE

@Deprecated static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__DIRTYABLE
Deprecated.
See `model documentation` for details.
The meta object literal for the 'Dirtyable' attribute feature.

Since:
  1.0
Restriction:
  See `model documentation` for details.

### PART_DESCRIPTOR__CONTRIBUTION_URI

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__CONTRIBUTION_URI
The meta object literal for the 'Contribution URI' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__DESCRIPTION
The meta object literal for the 'Description' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__LOCALIZED_DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__LOCALIZED_DESCRIPTION
The meta object literal for the 'Localized Description' attribute feature.

Since:
  1.0

### PART_DESCRIPTOR__VARIABLES

static final org.eclipse.emf.ecore.EAttribute PART_DESCRIPTOR__VARIABLES
The meta object literal for the 'Variables' attribute list feature.

Since:
  1.0

### PART_DESCRIPTOR__PROPERTIES

static final org.eclipse.emf.ecore.EReference PART_DESCRIPTOR__PROPERTIES
The meta object literal for the 'Properties' map feature.

Since:
  1.0

### PART_DESCRIPTOR__TRIM_BARS

static final org.eclipse.emf.ecore.EReference PART_DESCRIPTOR__TRIM_BARS
The meta object literal for the 'Trim Bars' containment reference list feature.

Since:
  1.3

### PART_DESCRIPTOR___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation PART_DESCRIPTOR___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### PART_DESCRIPTOR_CONTAINER

static final org.eclipse.emf.ecore.EClass PART_DESCRIPTOR_CONTAINER
The meta object literal for the '`Part Descriptor Container`' class.

Since:
  1.0
See Also:
  - `MPartDescriptorContainer`
  - `BasicPackageImpl.getPartDescriptorContainer()`

### PART_DESCRIPTOR_CONTAINER__DESCRIPTORS

static final org.eclipse.emf.ecore.EReference PART_DESCRIPTOR_CONTAINER__DESCRIPTORS
The meta object literal for the 'Descriptors' containment reference list feature.

Since:
  1.0